## python-cryptography 42.0.5

=== debian/changelog ===
python-cryptography (42.0.5-2build1) oracular; urgency=medium

  * No-change rebuild to enable frame pointers

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 01 Jul 2024 17:46:11 +0200

python-cryptography (42.0.5-2) unstable; urgency=medium

  * Patch: upstream fix for 32-bit archs tests

 -- Jérémy Lal <kapouer@melix.org>  Tue, 19 Mar 2024 23:15:50 +0100

python-cryptography (42.0.5-1) unstable; urgency=medium

  * Team upload.
  * Bump setuptools-rust, rust-pem, rust-openssl, rust-openssl-sys deps
  * Testsuite: autopkgtest-pkg-pybuild

  [ Andreas Tille ]
  * New upstream version
    Closes: #1059308 (CVE-2023-50782)
    Closes: #1064778 (CVE-2024-26130)
    Closes: #1063771, #1018159
  * watch file standard 4 (routine-update)
    Closes: #1046569
  
  [ Michael R. Crusoe ]
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/{tests/,}control: update dependency on python3-cryptography-vectors
  * marked intersphinx patch as not needing forwarding

  [ Andrey Rakhmatullin ]
  * Add myself to Uploaders.

  [ Jérémy Lal ]
  * Testsuite: autopkgtest-pkg-pybuild

 -- Jérémy Lal <kapouer@melix.org>  Tue, 19 Mar 2024 10:58:04 +0100

python-cryptography (41.0.7-5) unstable; urgency=medium

  * AMAU, Closes: #1064979

  [ Andreas Tille ]
  * Enable building twice in a row

 -- Jérémy Lal <kapouer@melix.org>  Thu, 07 Mar 2024 13:42:35 +0100
