## python-cryptography 43.0.0

=== debian/changelog ===
python-cryptography (43.0.0-3) unstable; urgency=medium

  [ Peter Michael Green ]
  * Fix overly strict build-dependency for cc crate (Closes: #1104046).

  [ Andrey Rakhmatullin ]
  * Bump Standards-Version to 4.7.2.
  * Remove Rules-Requires-Root.
  * Remove no longer needed Python 3 mentions from the package description.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 25 Apr 2025 11:17:42 +0500

python-cryptography (43.0.0-2) unstable; urgency=medium

  * Restore B-D: python3-setuptools (Closes: #1100262).
  * Update to librust-asn1-0.20-dev, add upstream patches for compatibility
    with it (Closes: #1101438).
  * Disable DH_VERBOSE.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 29 Mar 2025 01:20:16 +0500

python-cryptography (43.0.0-1) unstable; urgency=medium

  * New upstream version.
  * Update and rearrange Build-Depends:
    + Removed:
      - librust-asn1-derive-0.15-dev (obsolete)
      - librust-ouroboros-0.15-dev (obsolete)
      - librust-paste-dev (obsolete)
      - librust-pyo3-macros-0.20-dev (not an explicit dep)
      - python3-hypothesis (obsolete)
      - python3-iso8601 (obsolete)
      - python3-pytest-subtests (obsolete)
      - python3-setuptools (changed in this version)
      - python3-setuptools-rust (changed in this version)
      - python3-tz (obsolete)
      - tzdata (obsolete)
    + Added:
      - librust-cc-1.1-dev (forgotten explicit dep)
      - librust-foreign-types-0.3-dev (forgotten explicit dep)
      - python3-bcrypt (optional dep)
      - python3-certifi (forgotten explicit dep; fixes building with nodoc)
      - python3-maturin (changed in this version)
    + Moved to Build-Depends-Indep:
      - dh-sequence-sphinxdoc
      - python3-doc
      - python3-sphinx
      - python3-sphinx-rtd-theme
    + Version updates (Closes: #1080395):
      - librust-asn1-0.17-dev (from 0.15)
      - librust-pyo3-0.22-dev (from 0.20)
      - librust-pyo3-0.22+default-dev (from 0.20)
  * Change upstream version reqs to ones provided by Debian:
    + asn1 0.16.2 -> 0.17.0
    + openssl 0.10.65 -> 0.10.63
    + openssl-sys 0.9.103 -> 0.9.101
  * Skip tests that fail with librust-openssl-dev < 0.10.65.
  * Add python3-bcrypt to Depends.
  * Move documentation build-deps into Build-Depends-Indep.
  * Bump Standards-Version to 4.7.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 10 Sep 2024 23:55:34 +0500
