=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DH_VERBOSE = 1
 
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
@@ -17,8 +15,8 @@
 
 export PYBUILD_NAME=cryptography
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS={dir}/tests/
-export PYBUILD_BEFORE_TEST=cp -R {dir}/src/${PYBUILD_NAME}.egg-info {build_dir}
+# needs newer librust-openssl-dev (#1081226)
+export PYBUILD_TEST_ARGS={dir}/tests/ -k 'not (TestDHPublicKeySerialization and test_public_bytes_match)'
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -44,6 +42,8 @@
 	mkdir -p src/rust/target/release
 	ln -sf ../$(DEB_HOST_RUST_TYPE)/release/libcryptography_rust.so src/rust/target/release/libcryptography_rust.so
 	mv src/rust/Cargo.lock src/rust/Cargo.lock.orig
+	# needed because we patch Cargo.toml
+	cargo generate-lockfile --manifest-path src/rust/Cargo.toml --offline
 	dh_auto_configure
