=== debian/changelog ===
python-cryptography (44.0.2-2) unstable; urgency=medium

  * Team upload.
  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 11:36:34 +0100

python-cryptography (44.0.2-1) unstable; urgency=medium

  * New upstream version.
  * Build with rust-pyo3 0.25 (Closes: #1115569).
  * Drop the Priority field.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 19 Sep 2025 11:47:01 +0500
