=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Jérémy Lal <kapouer@melix.org>,
            Andrey Rakhmatullin <wrar@debian.org>,
 Section: python
-Priority: optional
 Build-Depends: cargo,
                debhelper-compat (= 13),
                dh-sequence-python3,
@@ -16,21 +15,23 @@
                librust-openssl-dev (>= 0.10.64~),
                librust-openssl-sys-dev (>= 0.9.101~),
                librust-pem-3.0-dev,
-               librust-pyo3-0.22+default-dev,
-               librust-pyo3-0.22-dev,
+               librust-pyo3+default-dev (>= 0.23.5),
+               librust-pyo3+default-dev (<< 0.27),
+               librust-pyo3-dev (>= 0.23.5),
+               librust-pyo3-dev (<< 0.27),
                librust-self-cell-dev,
                libssl-dev,
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-bcrypt <!nocheck>,
-               python3-certifi <!nocheck>,
+               python3-certifi (>= 2024) <!nocheck>,
                python3-cffi,
-               python3-cryptography-vectors (<< 43.0.1~) <!nocheck>,
-               python3-cryptography-vectors (>= 43.0.0~) <!nocheck>,
+               python3-cryptography-vectors (<< 44.0.3~) <!nocheck>,
+               python3-cryptography-vectors (>= 44.0.2~) <!nocheck>,
                python3-maturin,
                python3-pretend <!nocheck>,
-               python3-pytest <!nocheck>,
-               python3-pytest-benchmark <!nocheck>,
+               python3-pytest (>= 7.4.0) <!nocheck>,
+               python3-pytest-benchmark (>= 4.0) <!nocheck>,
                python3-setuptools,
 Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
                      python3-doc <!nodoc>,
