## python-cryptography 45.0.6

=== debian/changelog ===
python-cryptography (45.0.6-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrey Rakhmatullin <wrar@debian.org>  Mon, 03 Nov 2025 02:18:52 +0500

python-cryptography (45.0.6-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version.
  * Drop the Priority field.

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 29 Oct 2025 23:39:44 +0500
