=== debian/control ===
--- 
+++ 
@@ -6,19 +6,21 @@
 Build-Depends: cargo,
                debhelper-compat (= 13),
                dh-sequence-python3,
-               librust-asn1-0.20-dev,
-               librust-cc-1-dev (>= 1.1.6~),
+               librust-asn1-0.23-dev,
+               librust-cc-1.2-dev (>= 1.2.23~),
                librust-cfg-if-dev,
                librust-foreign-types-0.3-dev,
                librust-foreign-types-shared-0.1-dev,
                librust-once-cell-dev,
-               librust-openssl-dev (>= 0.10.64~),
-               librust-openssl-sys-dev (>= 0.9.101~),
+               librust-openssl-dev (>= 0.10.72~),
+               librust-openssl-sys-dev (>= 0.9.108~),
                librust-pem-3.0-dev,
                librust-pyo3+default-dev (>= 0.23.5),
                librust-pyo3+default-dev (<< 0.27),
                librust-pyo3-dev (>= 0.23.5),
                librust-pyo3-dev (<< 0.27),
+               librust-pyo3-build-config-dev (>= 0.23.5),
+               librust-pyo3-build-config-dev (<< 0.27),
                librust-self-cell-dev,
                libssl-dev,
                pybuild-plugin-pyproject,
@@ -26,9 +28,9 @@
                python3-bcrypt <!nocheck>,
                python3-certifi (>= 2024) <!nocheck>,
                python3-cffi,
-               python3-cryptography-vectors (<< 44.0.3~) <!nocheck>,
-               python3-cryptography-vectors (>= 44.0.2~) <!nocheck>,
-               python3-maturin,
+               python3-cryptography-vectors (<< 45.0.7~) <!nocheck>,
+               python3-cryptography-vectors (>= 45.0.6~) <!nocheck>,
+               python3-maturin (>= 1.8.6),
                python3-pretend <!nocheck>,
                python3-pytest (>= 7.4.0) <!nocheck>,
                python3-pytest-benchmark (>= 4.0) <!nocheck>,
@@ -36,6 +38,7 @@
 Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
                      python3-doc <!nodoc>,
                      python3-sphinx <!nodoc>,
+                     python3-sphinx-inline-tabs <!nodoc>,
                      python3-sphinx-rtd-theme <!nodoc>,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cryptography
