=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 
 override_dh_auto_clean:
-	if [ -f src/rust/Cargo.lock.orig ] ; then mv src/rust/Cargo.lock.orig src/rust/Cargo.lock ; fi
+	if [ -f Cargo.lock.orig ] ; then mv Cargo.lock.orig Cargo.lock ; fi
 	dh_auto_clean
 	rm -rf src/rust/target
 	rm -rf debian/cargo_registry
@@ -41,9 +41,9 @@
 	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
 	mkdir -p src/rust/target/release
 	ln -sf ../$(DEB_HOST_RUST_TYPE)/release/libcryptography_rust.so src/rust/target/release/libcryptography_rust.so
-	mv src/rust/Cargo.lock src/rust/Cargo.lock.orig
+	mv Cargo.lock Cargo.lock.orig
 	# needed because we patch Cargo.toml
-	cargo generate-lockfile --manifest-path src/rust/Cargo.toml --offline
+	cargo generate-lockfile --offline
 	dh_auto_configure
