## python-cryptography 45.0.7

=== debian/changelog ===
python-cryptography (45.0.7-1) unstable; urgency=medium

  * New upstream version.
  * Re-enable tests that required rust-openssl that wasn't yet available.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 13 Nov 2025 13:46:52 +0500
