=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
                python3-bcrypt <!nocheck>,
                python3-certifi (>= 2024) <!nocheck>,
                python3-cffi,
-               python3-cryptography-vectors (<< 45.0.7~) <!nocheck>,
-               python3-cryptography-vectors (>= 45.0.6~) <!nocheck>,
+               python3-cryptography-vectors (<< 45.0.8~) <!nocheck>,
+               python3-cryptography-vectors (>= 45.0.7~) <!nocheck>,
                python3-maturin (>= 1.8.6),
                python3-pretend <!nocheck>,
                python3-pytest (>= 7.4.0) <!nocheck>,
