=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,6 @@
 
 export PYBUILD_NAME=cryptography
 export PYBUILD_TEST_PYTEST=1
-# needs newer librust-openssl-dev (#1081226)
-export PYBUILD_TEST_ARGS={dir}/tests/ -k 'not (TestDHPublicKeySerialization and test_public_bytes_match)'
 
 %:
 	dh $@ --buildsystem=pybuild
