## python-cryptography 46.0.1

=== debian/changelog ===
python-cryptography (46.0.1-1ubuntu2) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2138182): Remaining changes:
    - Vendor rust for Ubuntu main
      - Add a recipe in d/rules to generate the vendor tarball
      - Add vendored crates
      - Adjust dependencies version for vendored build
      - Add debian/README.source

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Thu, 15 Jan 2026 14:54:11 +0100

python-cryptography (46.0.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Update for pyo3 0.27 compatibility.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 21 Nov 2025 20:10:21 +0500

python-cryptography (46.0.1-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 14 Nov 2025 00:22:58 +0500
