## python-cryptography 46.0.5

=== debian/changelog ===
python-cryptography (46.0.5-1) unstable; urgency=medium

  * New upstream version.
    + Fix CVE-2026-26007.
  * Bump Standards-Version to 4.7.3.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 14 Feb 2026 18:51:07 +0500
