=== debian/control ===
--- 
+++ 
@@ -1,23 +1,35 @@
 Source: python-cryptography
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
            Andrey Rakhmatullin <wrar@debian.org>,
 Section: python
 Build-Depends: cargo,
                debhelper-compat (= 13),
-               dh-cargo,
-               dh-cargo-tools,
                dh-sequence-python3,
+               librust-asn1-0.23-dev,
+               librust-cc-1.2-dev (>= 1.2.34~),
+               librust-cfg-if-dev,
+               librust-foreign-types-0.3-dev,
+               librust-foreign-types-shared-0.1-dev,
+               librust-once-cell-dev,
+               librust-openssl-dev (>= 0.10.73~),
+               librust-openssl-sys-dev (>= 0.9.109~),
+               librust-pem-3.0-dev,
+               librust-pyo3+default-dev (>= 0.27),
+               librust-pyo3+default-dev (<< 0.28),
+               librust-pyo3-dev (>= 0.27),
+               librust-pyo3-dev (<< 0.28),
+               librust-pyo3-build-config-dev (>= 0.27),
+               librust-pyo3-build-config-dev (<< 0.28),
+               librust-self-cell-dev,
                libssl-dev,
-               pkgconf,
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-bcrypt <!nocheck>,
                python3-certifi (>= 2024) <!nocheck>,
                python3-cffi,
-               python3-cryptography-vectors (<< 46.0.2~) <!nocheck>,
-               python3-cryptography-vectors (>= 46.0.1~) <!nocheck>,
+               python3-cryptography-vectors (<< 46.0.6~) <!nocheck>,
+               python3-cryptography-vectors (>= 46.0.5~) <!nocheck>,
                python3-maturin (>= 1.9.4),
                python3-pretend <!nocheck>,
                python3-pytest (>= 7.4.0) <!nocheck>,
@@ -28,12 +40,11 @@
                      python3-sphinx <!nodoc>,
                      python3-sphinx-inline-tabs <!nodoc>,
                      python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cryptography
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cryptography.git
 Homepage: https://cryptography.io/
 Testsuite: autopkgtest-pkg-pybuild
-XS-Vendored-Sources-Rust: asn1@0.22.0, asn1_derive@0.22.0, autocfg@1.5.0, base64@0.22.1, bitflags@2.9.4, cc@1.2.37, cfg-if@1.0.3, find-msvc-tools@0.1.1, foreign-types-shared@0.1.1, foreign-types@0.3.2, heck@0.5.0, indoc@2.0.6, itoa@1.0.15, libc@0.2.175, memoffset@0.9.1, once_cell@1.21.3, openssl-macros@0.1.1, openssl-sys@0.9.109, openssl@0.10.73, pem@3.0.5, pkg-config@0.3.32, portable-atomic@1.11.1, proc-macro2@1.0.101, pyo3-build-config@0.26.0, pyo3-ffi@0.26.0, pyo3-macros-backend@0.26.0, pyo3-macros@0.26.0, pyo3@0.26.0, quote@1.0.40, self_cell@1.2.0, shlex@1.3.0, syn@2.0.106, target-lexicon@0.13.3, unicode-ident@1.0.19, unindent@0.2.4
 
 Package: python3-cryptography
 Architecture: any
